package com.hotent.surveyinfo.manager;

import com.hotent.surveyinfo.model.CostSurveyTemplateItems;
import com.hotent.base.manager.BaseManager;

import java.util.List;
import java.util.Map;

/**
 * 指标项子表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostSurveyTemplateItemsManager extends BaseManager<CostSurveyTemplateItems> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostSurveyTemplateItems getDetail(String id);
	/**
	 * 新建、更新指标项子表
	 * @param costSurveyTemplateItems
	 * @return
	 */
	void createOrUpdate(CostSurveyTemplateItems costSurveyTemplateItems);

	List<CostSurveyTemplateItems> selectBySurveyTemplateId(String surveyTemplateId);

	boolean validateFormula(CostSurveyTemplateItems item, Map<String, Object> data);

	void deleteBySurveyTemplateIdAndVersionId(String surveyTemplateId, String versionId);
	/**
	 * 根据现行模板id获取所有指标编号数据
	 *
	 * @param templateId 模板ID
	 * @return 所有相关指标编号列表
	 */
	List<CostSurveyTemplateItems> getCellCodesBySurveyTemplateId(String templateId, String versionId);

}
